services:
  app:
    image: "nextcloud"
    restart: always
    volumes:
      - /mnt/Teka1/nextcloud:/var/www/html
      - /mnt/Teka1/:/mnt/Teka1/
      - /mnt/Teka2/:/mnt/Teka2/
      - /mnt/Teka3/:/mnt/Teka3/
    ports:
      - 5002:80
    environment:
      - POSTGRES_HOST=192.168.0.101
      - POSTGRES_DB=nextcloud
      - POSTGRES_USER=nextcloud
      - POSTGRES_PASSWORD=qw6MGQcaMkvG8sR9yVsU
      - PHP_UPLOAD_LIMIT=16G

